Skip to content

Get an on-call schedule by ID.

GET
/on_call_schedule/{schedule_id}
curl --request GET \
--url https://api.siteqwality.com/on_call_schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
schedule_id
required
string format: uuid

On-call schedule identifier

On-call schedule

Media type application/json
object
id
required
string format: uuid
name
required
string
timezone
required
string
created_at
required
string format: date-time
layers
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
layer_number
required
integer format: int32
rotation_type
required
string
Allowed values: daily weekly custom
rotation_interval_days
integer | null format: int32
handoff_time
required
string
handoff_day
integer | null format: int32
participants
required
Array<string>
effective_from
string | null format: date-time
effective_until
string | null format: date-time
created_at
required
string format: date-time
overrides
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
user_id
required
string format: uuid
start_at
required
string format: date-time
end_at
required
string format: date-time
created_at
required
string format: date-time
Example
{
"layers": [
{
"rotation_type": "daily"
}
]
}

Missing or invalid authentication

Schedule not found

Internal server error